import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Cesar {

    public static void main(String[] args) throws IOException {

        String linha = "";

        BufferedReader entrada;

        entrada = new BufferedReader(new InputStreamReader(System.in));
        String temp[];

        while ((linha = entrada.readLine()) != null) {

            if (linha.equals("0")) {
                break;
            }

            for(int x=0;x<linha.length();x++){
                char c = linha.charAt(x);
                int cn = (int) c;
                cn -=3;
                if (cn<65){
                    cn += 26;
                }
                System.out.print((char)cn);
            }
            System.out.println("");
        }
        System.exit(0);
    }
}
